org.apache.ignite.internal.processors.cache.binary

## Class CacheObjectBinaryProcessorImpl.TestBinaryContext

- java.lang.Object
- - org.apache.ignite.internal.binary.BinaryContext
  - - org.apache.ignite.internal.processors.cache.binary.CacheObjectBinaryProcessorImpl.TestBinaryContext

Enclosing class:
  CacheObjectBinaryProcessorImpl

    public static class CacheObjectBinaryProcessorImpl.TestBinaryContext
    extends BinaryContext

### Nested Class Summary

Nested Classes
`static interface` `CacheObjectBinaryProcessorImpl.TestBinaryContext.TestBinaryContextListener`

### Constructor Summary

Constructors
Constructor and Description
`TestBinaryContext(BinaryMetadataHandler metaHnd, IgniteConfiguration igniteCfg, IgniteLogger log)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addListener(CacheObjectBinaryProcessorImpl.TestBinaryContext.TestBinaryContextListener lsnr)`
`void` `clearAllListener()`
`@Nullable BinaryType` `metadata(int typeId)`
`void` `updateMetadata(int typeId, BinaryMetadata meta, boolean failIfUnregistered)`

### Methods inherited from class org.apache.ignite.internal.binary.BinaryContext

`affinityFieldName, affinityKeyFieldName, collectionType, configuration, configure, configure, createField, defaultIdMapper, defaultMapper, defaultNameMapper, descriptorForTypeId, fieldId, identity, isCompactFooter, log, mapType, marshaller, metadata, metadata, metadata0, mustDeserialize, onUndeploy, registerClass, registerClass, registerClassLocally, registerDescriptor, registerPredefinedType, registerPredefinedType, registerUserClassName, registerUserType, registerUserTypesSchema, removeType, schemaRegistry, typeId, unregisterBinarySchemas, unregisterUserTypeDescriptors, userTypeName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestBinaryContext

    public TestBinaryContext(BinaryMetadataHandler metaHnd,
                             IgniteConfiguration igniteCfg,
                             IgniteLogger log)

Parameters:
  `metaHnd` - Meta handler.
  `igniteCfg` - Ignite config.
  `log` - Logger.

### Method Detail

#### metadata

    @Nullable
    public @Nullable BinaryType metadata(int typeId)
                                            throws BinaryObjectException

Overrides:
  `metadata` in class `BinaryContext`
Parameters:
  `typeId` - Type ID.
Returns:
  Meta data.
Throws:
  `BinaryObjectException` - In case of error.

#### updateMetadata

    public void updateMetadata(int typeId,
                               BinaryMetadata meta,
                               boolean failIfUnregistered)
                        throws BinaryObjectException

Overrides:
  `updateMetadata` in class `BinaryContext`
Parameters:
  `typeId` - Type ID.
  `meta` - Meta data.
  `failIfUnregistered` - Fail if unregistered.
Throws:
  `BinaryObjectException` - In case of error.

#### addListener

    public void addListener(CacheObjectBinaryProcessorImpl.TestBinaryContext.TestBinaryContextListener lsnr)

Parameters:
  `lsnr` - Listener.

#### clearAllListener

    public void clearAllListener()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021